package nuts.exts.xwork2.validator.validators;

import com.opensymphony.xwork2.validator.FieldValidator;

/**
 * Base class for field validators.
 */
public abstract class AbstractFieldValidator extends AbstractValidator implements FieldValidator {

    private String fieldName;
    private String type;

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldName() {
        return fieldName;
    }

    @Override
    public void setValidatorType(String type) {
        this.type = type;
    }

    @Override
    public String getValidatorType() {
        return type;
    }
}